GCLOUD_COMPUTE_INSTANCES_ADD-ACCESS-CONFIG(1)

NAME

gcloud compute instances add-access-config - create a Google Compute Engine virtual machine access configuration

SYNOPSIS

gcloud compute instances add-access-config INSTANCE_NAME [--access-config-name=ACCESS_CONFIG_NAME; default="external-nat"] [--address=ADDRESS] [--network-interface=NETWORK_INTERFACE; default="nic0"] [--zone=ZONE] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute instances add-access-config is used to create access configurations for network interfaces of Google Compute Engine virtual machines.

POSITIONAL ARGUMENTS

    INSTANCE_NAME
        The name of the instance to operate on.

FLAGS

    --access-config-name=ACCESS_CONFIG_NAME; default="external-nat"
        Specifies the name of the new access configuration. external-nat is used as the default if this flag is not provided.

    --address=ADDRESS
        Specifies the external IP address of the new access configuration. If this is not specified, then the service will choose an available ephemeral IP address. If an explicit IP address is given, then that IP address must be reserved by the project and not be in use by another resource.

    --network-interface=NETWORK_INTERFACE; default="nic0"
        Specifies the name of the network interface which contains the access configuration. If this is not provided, then "nic0" is used as the default.

    --zone=ZONE
        The zone of the instance to operate on. If not specified, you may be prompted to select a zone. gcloud will attempt to identify the zone by searching for resources in your project. If the zone cannot be determined, you will then be prompted with all Google Cloud Platform zones. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.